package com.alignet.demopayme

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.alignet.demopayme.databinding.ActivityResponseBinding

class ResponseActivity: AppCompatActivity() {

    private lateinit var binding: ActivityResponseBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        this.binding = ActivityResponseBinding.inflate(this.layoutInflater)
        setContentView(this.binding.root)
        this.loadActivity()
    }

    override fun onSupportNavigateUp(): Boolean {
        onBackPressed()
        return true
    }

    private fun loadActivity() {
        val actionbar = supportActionBar
        actionbar!!.title = "Entrada y Salida de PaymeSDK"
        actionbar.setDisplayHomeAsUpEnabled(true)
        actionbar.setDisplayHomeAsUpEnabled(true)

        val request = this.intent.getStringExtra("REQUEST_PAYME")
        val response= this.intent.getStringExtra("RESPONSE_PAYME")
        val events = this.intent.getStringExtra("EVENTS_PAYME")

        this.binding.labelRequest.text = request
        this.binding.labelResponse.text = response
        this.binding.labelEvents.text = events
    }

}